%
%  generate the data for system 1
%
  zeta = 0.1;
  omega_n = 20;
  K = 3;
  Tf = 3.0;
%
  t = linspace(0,Tf,1000)';
  x = ones(length(t),1);
%
  H = tf(K*omega_n*omega_n,[1 2*zeta*omega_n omega_n*omega_n]);
%
%  simulate the system
%
  y = lsim(H,x,t);
%
  figure
  plot(t,y); grid;
%
  data = [t x y];
  save measured_1 data -ASCII
%   
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  generate the data for system 2
%
  zeta = 0.3;
  omega_n = 10;
  K = 2;
  Tf = 2.0;
%
  t = linspace(0,Tf,1000)';
  x = 2*ones(length(t),1);
%
  H = tf(K*omega_n*omega_n,[1 2*zeta*omega_n omega_n*omega_n]);
%
%  simulate the system
%
  y = lsim(H,x,t);
%
  figure
  plot(t,y); grid;
%
  data = [t x y];
  save measured_2 data -ASCII
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  generate the data for system 3
%
  zeta = 0.3;
  omega_n = 40;
  K = 3;
  Tf = 0.5;
%
  t = linspace(0,Tf,1000)';
  x = 0.5*ones(length(t),1);
%
  H = tf(K*omega_n*omega_n,[1 2*zeta*omega_n omega_n*omega_n]);
%
%  simulate the system
%
  y = lsim(H,x,t);
%
  figure
  plot(t,y); grid;
%
  data = [t x y];
  save measured_3 data -ASCII
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
%
%  generate the data for system 4
%
  zeta = 0.8;
  omega_n = 15;
  K = 1.5;
  Tf = 1.0;
%
  t = linspace(0,Tf,1000)';
  x = 2*ones(length(t),1);
%
  H = tf(K*omega_n*omega_n,[1 2*zeta*omega_n omega_n*omega_n]);
%
%  simulate the system
%
  y = lsim(H,x,t);
%
  figure
  plot(t,y); grid;
%
  data = [t x y];
  save measured_4 data -ASCII